<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.jca.workmanager.long-running-threads">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="allow-core-timeout,core-threads,keepalive-time,max-threads,queue-length,thread-factory"/>
        <elem name="addr-params" value="profile,subsystem,workmanager,long-running-threads"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.jca"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.threads.executor.long-running-threads.$long-running-threads"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.threads.thread-factory.$thread-factory" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.jca.workmanager"/>
        <ref feature="subsystem.jca"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="keepalive-time" nillable="true"/>
        <param name="allow-core-timeout" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="thread-factory" nillable="true"/>
        <param name="subsystem" feature-id="true" default="jca"/>
        <param name="long-running-threads" feature-id="true"/>
        <param name="workmanager" feature-id="true"/>
        <param name="core-threads" nillable="true"/>
        <param name="max-threads"/>
        <param name="queue-length"/>
    </params>
</feature-spec>